<!DOCTYPE html>
<html lang="de" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>createPlayer</title>
    <link rel="stylesheet" href="myStyles.css">
</head>
<body>

<main class="container">
    <div><h1>Spieler hinzufügen</h1></div>

    <div>
        <form method="POST" th:action="@{/formCreatePlayer}" th:object="${player}">

            <table>
                <tr><td>Name :</td><td><label>
                    <input type="text" name="name">
                </label></td></tr>
                <tr><td>Trikotnr. :</td><td><label>
                    <input type="text" name="jerseyNumber">
                </label></td></tr>
                <tr><td>Verein :</td>
                    <td><label>
                        <select name="club">
                            <option value="" selected></option>
                            <option th:each="c : ${clubList}"
                                    th:selected="${clubId eq c.id}"
                                    th:text="${c.name}"/>
                        </select>
                    </label>
                </tr>
                <tr><td><button type="submit">hinzufügen</button></td><td></td></tr>
            </table>
        </form>
    </div>

</main>

<!-- Links ###############################################################-->
<div class="navigation">
    <a href="/"> Startseite</a>

    <div th:if="${clubId > 0}">
        <a th:href="@{/clubDetails(clubId=${clubId})}">zurück zum Verein</a>
    </div>
</div>

</body>
</html>